Bug 248296 - net/libnfs: fix build error regarding "error: redefinition of typedef 'u_int' is a C11 feature"
Summary: net/libnfs: fix build error regarding "error: redefinition of typedef 'u_int'...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alan Somers
URL: https://github.com/sahlberg/libnfs/pu...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-27 14:41 UTC by Alan Somers
Modified: 2020-08-10 20:55 UTC (History)
2 users (show)

See Also:
snoe925: maintainer-feedback+


Attachments
Remove duplicate u_int definition (1.15 KB, patch)
2020-07-27 14:41 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2020-07-27 14:41:06 UTC
Created attachment 216802 [details]
Remove duplicate u_int definition

libnfs typedefs 'u_int'.  But so does FreeBSD's sys/types.h.  Fix the build by removing that line.
Comment 1 Alan Somers freebsd_committer 2020-08-02 13:00:14 UTC
FYI, upstream accepted the change.
Comment 2 commit-hook freebsd_committer 2020-08-10 20:49:24 UTC
A commit references this bug:

Author: asomers
Date: Mon Aug 10 20:48:57 UTC 2020
New revision: 544646
URL: https://svnweb.freebsd.org/changeset/ports/544646

Log:
  net/libnfs: fix build error regarding "redefinition of typedef"

  libnfs was redefining u_int, causing programs using libnfs to get
  "error: redefinition of typedef 'u_int' is a C11 feature" errors.

  Upstream PR: https://github.com/sahlberg/libnfs/pull/326

  PR:		248296
  Approved by:	Shannon Noe <snoe925@gmail.com> (maintainer)

Changes:
  head/net/libnfs/Makefile
  head/net/libnfs/files/
  head/net/libnfs/files/patch-include_nfsc_libnfs-zdr.h